import { pathToRoot } from "../util/path"
import { QuartzComponent, QuartzComponentConstructor, QuartzComponentProps } from "./types"
import { classNames } from "../util/lang"
import { i18n } from "../i18n"

const Homebar: QuartzComponent = ({ fileData, cfg, displayClass }: QuartzComponentProps) => {
  const title = cfg?.pageTitle ?? i18n(cfg.locale).propertyDefaults.title
  const baseDir = pathToRoot(fileData.slug!)
  return (
    <div class="homebar">
        <div class="ring">
        <a href ="https://fediring.net"><h2>Fediring:</h2></a>
        <a class="ringbtn" href="https://fediring.net/previous?host=nexie.net">◄</a>
        <a class="ringbtn" href="https://fediring.net/random">Random</a>
        <a class="ringbtn" href="https://fediring.net/next?host=nexie.net">►</a>
        </div>
    </div>
  )
}

Homebar.css = `
.ring {
    display:flex;
    flex-flow: row wrap;
}

.ringbtn {
    font-size: 0.9rem !important;
    border-radius: 16px !important;
    border:none !important;
    background-color: rgba(100,100,100, 0.3) !important;
    padding: 0.4rem 0.8rem !important;
    margin: 0.2rem 0.4rem !important;
    text-decoration: none !important;
    width: fit-content !important;
    height: fit-content !important;
    cursor:pointer !important;
}

.ringbtn:hover{
    background-color: rgba(100,100,100, 0.5) !important;
}

.ring svg {
    display:none !important;
}
`

export default (() => Homebar) satisfies QuartzComponentConstructor
